Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextIStream Class Reference

The QTextIStream class is a convenience class for input streams. More...

    #include <QTextIStream>

Inherits QTextStream.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QTextIStream ( const QString * s )
- QTextIStream ( QByteArray * ba )
- QTextIStream ( FILE * f )

- 52 public functions inherited from QTextStream

## Detailed Description

The QTextIStream class is a convenience class for input streams.

This class provides a shorthand for creating simple input QTextStreams without having to pass a mode argument to the constructor.

This class makes it easy to write things like this:

        QString data = "123 456";
        int a, b;
        QTextIStream(&data) >> a >> b;

See also QTextOStream.

## Member Function Documentation

### QTextIStream::QTextIStream ( const QString * s )

Constructs a stream to read from the string s.

### QTextIStream::QTextIStream ( QByteArray * ba )

Constructs a stream to read from the byte array ba.

### QTextIStream::QTextIStream ( FILE * f )

Constructs a stream to read from the file handle f.